---
title: "Get Group Online Users"
slug: "get-group-online-users"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group Online Users

Get/api/v1/groups.online

Lists all online users of a particular group (private channel). You will not be able to view the users if you are not a member of this private channel, unless you have admin permissions.

### Changelog

| Version | Description |
| --- | --- |
| 0.52.0 | Added |
| 7.0.0 | Replaced `query` parameter with `_id` parameter |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parameters_idstringRequired

Enter the group's ID. You can find list of groups IDs using any of the following endpoints:

- [Get List of User Groups](https://developer.rocket.chat/apidocs/get-list-of-user-groups): This endpoint returns all private channels in the workspace, if you have the required permissions to view them.
- [Get Groups](https://developer.rocket.chat/apidocs/get-groups): This endpoint returns the private channels that you are a member of.

Example5HmCfpoB7jp2uibTC

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='83ffeff6-0afe-4191-bfff-d0bfa9f7e8f3'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='891ea866-1d41-487d-8002-d2dc26b62198'>Success</option>
</select>Success

```json
{
  "online": [
    {
      "_id": "47cRd58HnWwpqxhaZ",
      "username": "test"
    },
    {
      "_id": "BsxzC22xQ43taWdff",
      "username": "uniqueusername"
    }
  ],
  "success": true
}
```

Expand Allobject  online Array of object   object  _idstring    
usernamestring    

successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='244ee4e5-a36a-48de-b3e6-e90a3804cdbb'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='3ac71a16-9c3a-4176-9de1-6196ee695ffb'>Error if you are not a member of the private channel</option>
<option value='acce10df-81ef-4d46-98f9-693fb2f21db7'>Invalid or missing query parameter</option>
</select>Error if you are not a member of the private channel

```json
{
  "success": false,
  "error": "Not Allowed [error-not-allowed]",
  "errorType": "error-not-allowed"
}
```

Invalid or missing query parameter

```json
{
  "success": false,
  "error": "Invalid query"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='60e641be-1573-4a28-86dc-78a941fa919d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='ba4145a5-fabc-40ac-921e-f44fd531cf45'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
